> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update an existing webhook configuration

# Update Webhook

Update an existing webhook configuration with new URL or secret.

## API Endpoint

```
PUT https://api.mavapay.co/api/v1/webhook
```

## Request Parameters

| Parameter | Type   | Required | Description                                    |
| --------- | ------ | -------- | ---------------------------------------------- |
| url       | string | Yes      | The new URL where webhook events will be sent  |
| secret    | string | Yes      | A new secret key used to sign webhook payloads |

## Example Request

```bash theme={null}
curl -X PUT https://api.mavapay.co/api/v1/webhook \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: your_api_key_here" \
  -d '{
    "url": "https://your-new-domain.com/webhook",
    "secret": "your_new_webhook_secret"
  }'
```

## Example Response

```json theme={null}
{
  "status": "ok",
  "data": {
    "id": "wh_123456789",
    "url": "https://your-new-domain.com/webhook",
    "isActive": true,
    "updatedAt": "2024-03-21T15:30:00Z"
  }
}
```

For more information about webhooks, see our [webhook documentation](/webhooks/markdown).
